Docker Compose 安装指定版本

  • 时间:
  • 浏览:
  • 来源:互联网

问题

有些特殊的docker-compose配置文件会因为版本问题会出现一些问题
我们会安装特殊版本来运行

安装

# 下载1.28.5 下载
sudo curl -L "https://github.com/docker/compose/releases/download/1.28.5/docker-compose-$(uname -s)-$(uname -m)" -o /usr/local/bin/docker-compose

# 添加docker-compose执行权限
sudo chmod +x /usr/local/bin/docker-compose

# 将docker-compose 放到环境变量路径下
sudo ln -s /usr/local/bin/docker-compose /usr/bin/docker-compose

# 测试
docker-compose --version
docker-compose version 1.28.5, build 1110ad01

卸载

sudo rm /usr/local/bin/docker-compose

如果pip卸载

pip uninstall docker-compose

本文链接http://www.dzjqx.cn/news/show-617424.html